{%- from "neutron/map.jinja" import server,gateway,compute with context %}

neutron_service_stopped:
  test.show_notification:
    - text: "Running neutron.upgrade.service_stopped"

{%- set nservices = [] %}

{%- if server.enabled %}
  {%- do nservices.extend(server.services) %}
  {% if server.backend.engine == "contrail" %}
    {%- do nservices.append('neutron-server') %}
  {%- endif %}
{%- endif %}
{%- if gateway.enabled is defined and gateway.enabled %}
  {%- do nservices.extend(gateway.services) %}
  {% if gateway.get('l2gw', {}).get('enabled', False) %}
    {%- do nservices.append('neutron-l2gateway-agent') %}
  {%- endif %}
{%- endif %}
{%- if compute.enabled is defined and compute.enabled %}
  {%- do nservices.extend(compute.services) %}
  {%- if compute.dvr %}
    {%- do nservices.extend(['neutron-l3-agent', 'neutron-metadata-agent']) %}
  {%- endif %}
  {% if compute.get('dhcp_agent_enabled', False) %}
    {%- do nservices.append('neutron-dhcp-agent') %}
  {%- endif %}
  {% if compute.backend.sriov is defined %}
    {%- do nservices.append('neutron-sriov-agent') %}
  {%- endif %}
  {% if compute.get('bgp_vpn', {}).get('enabled', False) and compute.bgp_vpn.driver == "bagpipe" %}
    {%- do nservices.append('bagpipe-bgp') %}
  {%- endif %}
{%- endif %}


{%- for nservice in nservices|unique %}
neutron_service_{{ nservice }}_stopped:
  service.dead:
  - name: {{ nservice }}
  - enable: false
{%- endfor %}
